<template>
  <header class="header" :class="[isSmall ? 'header--is-small' : '']">
    <h1 class="header__title">
      An API of Ice And Fire
    </h1>
    <p v-if="appMode" class="header__text">Application mode is: <span class="header__text-mode">{{ appMode }}</span></p>
  </header>
</template>

<script lang="ts">
import Vue from 'vue';
import { mapState } from 'vuex';
import { AppMode } from '@/types';

export default Vue.extend({
  name: 'AppHeader',

  props: {
    isSmall: {
      type: Boolean
    }
  },

  computed: {
    ...mapState({
      appMode: (state: any) => state.global.appMode as AppMode
    })
  }
});
</script>

<style lang="scss">
.header {
  margin-bottom: 1.5rem;
  text-align: center;

  &__title {
    font-size: 4rem;
  }

  &__text {
    text-align: left;
  }

  &__text-mode {
    font-weight: 600;
    text-decoration: underline;
  }

  &--is-small {
    margin-bottom: 0;

    & .header__title {
      font-size: 3rem;
    }
  }
}
</style>
